AnyTerm on Ubuntu 14.04

Matt . yamakasi.014 at gmail.com
Tue Jun 23 09:06:33 UTC 2015


Hi,

Has anyone been able to compile AnyTerm on Ubuntu 14.04 ?

I'm getting the following error and I see that paths are changed in boost.

-formed in C++11 [-Wnarrowing]
g++  -W -Wall -O   -I../include -pthread -fPIC -c ../src/markup.cc
g++  -W -Wall -O   -I../include -pthread -fPIC -c ../src/parse_http_request.cc
In file included from ../src/parse_http_request.cc:21:0:
/usr/include/boost/spirit.hpp:18:4: warning: #warning "This header is
deprecated. Please use: boost/spirit/include/classic.hpp" [-Wcpp]
 #  warning "This header is deprecated. Please use:
boost/spirit/include/classic.hpp"
    ^
../src/parse_http_request.cc:22:50: fatal error:
boost/spirit/actor/insert_at_actor.hpp: No such file or directory
 #include <boost/spirit/actor/insert_at_actor.hpp>
                                                  ^
compilation terminated.
make[3]: *** [parse_http_request.o] Error 1
make[3]: Leaving directory `/usr/local/src/anyterm-1.1.29/libpbe/build'
make[2]: *** [libpbe.a] Error 2
make[2]: Leaving directory `/usr/local/src/anyterm-1.1.29/libpbe'
make[1]: *** [../libpbe/libpbe.a] Error 2
make[1]: Leaving directory `/usr/local/src/anyterm-1.1.29/build'
make: *** [anytermd] Error 2

I hope someone can help out as AjaxTerm is no option to use.

Thanks,

Matt



More information about the ubuntu-users mailing list